xclade
Admin APIShipping options

List Shipping Options

Retrieve a list of shipping options. The shipping options can be filtered by fields such as `id`. The shipping options can also be sorted or paginated.

GET
/admin/shipping-options
AuthorizationBearer <token>

In: header

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

offset?number

The number of items to skip when retrieving a list.

limit?number

Limit the number of items returned in the list.

order?string

The field to sort the data by. By default, the sort order is ascending. To change the order to descending, prefix the field name with -.

id?id|
q?string

Search term to filter the shipping option's searchable properties.

service_zone_id?service_zone_id|
shipping_profile_id?shipping_profile_id|
provider_id?provider_id|
shipping_option_type_id?shipping_option_type_id|
created_at?

Filter by a shipping option's creation date.

updated_at?

Filter by a shipping option's update date.

deleted_at?

Filter by a shipping option's deletion date.

stock_location_id?stock_location_id|
is_return?boolean

Filter by whether the shipping option is used for returns.

admin_only?boolean

Filter by whether the shipping option is used by admin users only.

with_deleted?boolean

Whether to include deleted records in the result.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X GET "https://{tenant}.api.myxclade.com/admin/shipping-options"
{
  "limit": 0,
  "offset": 0,
  "count": 0,
  "shipping_options": [
    {}
  ]
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}